Skip to content

Developer Platform

Search docs & API
Log in
Sign up

Rate limits

When using the Pinterest API, be aware of rate limits on the number of requests you can make to endpoints within specified time windows.
We enforce universal rate limits to safeguard against excessive requests:
  • Trial access: 1000 requests per day for all API requests
  • Standard access: 100 requests per second per user per app for all API requests
We also enforce specific rate limits for different categories of API activity. In each category, we apply a different rate limit for Trial and Standard access, as seen in the following category table.

Rate limit categories

Each Pinterest API endpoint belongs to a rate limit category. See any endpoint in the API reference for its category.
Rate limit listing in endpoint page
All rate limits are subject to change without notice.
All rate limits are subject to change without notice.
rate limits table
Rate limit categoryDescription
Trial access
(requests per day
per app
except as noted
)
Standard access
(requests per minute
per user
per app
except as noted
)
ads_analytics
Fetching analytical data about ads.1,000300
ads_conversions
Sending batches of conversion events for an ad account.
This category applies to requests authenticated with a token acquired through the standard OAuth flow.
It is recommended that you use the conversion access token, which enables you to send unlimited conversion-tracking events.
It is recommended that you use the conversion access token, which enables you to send unlimited conversion-tracking events.
You can make test requests to the
POST
Send conversions
endpoint by setting the
is_test
parameter to
TRUE
. Test requests have a rate limit of 10 per app per second.
1,000
requests per day
per ad account
per app
120,000
requests per minute
per ad account
per app
ads_read
Fetching information on ads, ad groups, ad campaigns or ad accounts.1,0001,000
ads_write
Creating, editing or deleting ad entities, such as ad accounts, ads, ad groups or campaigns.
300400
advanced_auction_read
Fetching information related to bid options for ads auctions.1,00050
advanced_auction_write
Operating on ad auction bid items.1,00025
catalogs_read
Fetching item information from catalogs.1,000100
catalogs_write
Creating or modifing item information for catalogs.1,000100
org_analytics
Fetching user-related analytics data, such as account information and top Pins. 1,00060
org_read
Fetching user accounts, boards, board sections, or Pins.1,0001,000
org_write
Creating, editing or deleting boards, board sections or Pins.300100
trends_read
Fetching trending keyword information.1,00060

Manage rate limits

You can monitor your API requests against rate limits and ask for adjustments.

Monitor your API request tally

To monitor the number of your requests, set up verbose output.
For example, with cURL, you can insert the
-v
flag into your requests to see your status in the HTTP response headers, as with the following request:
curl -v --location --request GET 'https://api.pinterest.com/v5/pins' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json'
The response header then includes rate limit information, such as the following:
< x-ratelimit-limit: 100, 100;w=1, 1000;w=60 < x-ratelimit-remaining: 99 < x-ratelimit-reset: 1

Request rate limit changes

To ask for a rate limit change, file a ticket with our support team.
Was this page helpful?